Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.therlink.domain.requests
Class RevokeTherapeuticLinkRequest

    java.lang.Object
      be.ehealth.businessconnector.therlink.domain.TherapeuticLinkRequestType
          be.ehealth.businessconnector.therlink.domain.requests.RevokeTherapeuticLinkRequest

All Implemented Interfaces:
  Serializable

    public class RevokeTherapeuticLinkRequest

extends TherapeuticLinkRequestType

PutTherapeuticLinkRequest.

See Also:
  Serialized Form

Constructor Summary
`RevokeTherapeuticLinkRequest(org.joda.time.DateTime date, String id, Author author, TherapeuticLink link, Proof... proofs)`
`RevokeTherapeuticLinkRequest(String id, Date date, Author author, TherapeuticLink link, Proof... proofs)` Deprecated.

Method Summary

Methods inherited from class be.ehealth.businessconnector.therlink.domain.TherapeuticLinkRequestType
`equals, getAuthor, getDate, getDateTime, getID, getLink, getProofs, hashCode, setLink, setProofs, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RevokeTherapeuticLinkRequest

    @Deprecated
    public RevokeTherapeuticLinkRequest(String id,
                                                   Date date,
                                                   Author author,
                                                   TherapeuticLink link,
                                                   Proof... proofs)

  Deprecated.

  Parameters:
    `id` -
    `date` -
    `author` -
    `link` -
    `proofs` -

### RevokeTherapeuticLinkRequest

    public RevokeTherapeuticLinkRequest(org.joda.time.DateTime date,
                                        String id,
                                        Author author,
                                        TherapeuticLink link,
                                        Proof... proofs)

Parameters:
  `id` -
  `date` -
  `author` -
  `link` -
  `proofs` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.